hbase-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ryan rawson (JIRA)" <j...@apache.org>
Subject [jira] Commented: (HBASE-3513) upgrade thrift to 0.5.0 and use mvn version
Date Thu, 03 Mar 2011 02:15:36 GMT

    [ https://issues.apache.org/jira/browse/HBASE-3513?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13001820#comment-13001820
] 

ryan rawson commented on HBASE-3513:
------------------------------------

Kazuki, 0.6.0 doesnt exist yet (in maven) so we cant depend on it.

The on the wire serialization should be the same between 0.5.0 and 0.6.0, so you can use whatever
version of C++ client you wish. This is about the _hbase serverside_ thrift version.

> upgrade thrift to 0.5.0 and use mvn version
> -------------------------------------------
>
>                 Key: HBASE-3513
>                 URL: https://issues.apache.org/jira/browse/HBASE-3513
>             Project: HBase
>          Issue Type: Bug
>          Components: thrift
>    Affects Versions: 0.90.0
>            Reporter: ryan rawson
>            Assignee: ryan rawson
>             Fix For: 0.90.2
>
>         Attachments: HBASE-3513.txt, HBASE-3515.txt
>
>
> We should upgrade our thrift to 0.5.0, it is the latest and greatest and is in apache
maven repo.
> Doing some testing with a thrift 0.5.0 server, and an older pre-release php client shows
the two are on-wire compatible.
> Given that the upgrade is entirely on the server side, and has no wire-impact this should
be a relatively low-impact change.

-- 
This message is automatically generated by JIRA.
-
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message